Package org.eclipse.emf.cdo.common.protocol

# Interface CDOAuthenticator

@Deprecated public interface CDOAuthenticator
Deprecated.
As of 4.2 use `IPasswordCredentialsProvider` directly
The front-end of the CDO challenge/response authentication.

Since:
  2.0
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`CDOAuthenticationResult`
`authenticate(byte[] randomToken)`
Deprecated.
`org.eclipse.net4j.util.security.IPasswordCredentialsProvider`
`getCredentialsProvider()`
Deprecated.
`String`
`getEncryptionAlgorithmName()`
Deprecated.
`int`
`getEncryptionIterationCount()`
Deprecated.
`byte[]`
`getEncryptionSaltBytes()`
Deprecated.
`void`
`setCredentialsProvider(org.eclipse.net4j.util.security.IPasswordCredentialsProvider credentialsProvider)`
Deprecated.
`void`
`setEncryptionAlgorithmName(String encryptionAlgorithmName)`
Deprecated.
`void`
`setEncryptionIterationCount(int encryptionIterationCount)`
Deprecated.
`void`
`setEncryptionSaltBytes(byte[] encryptionSaltBytes)`
Deprecated.

## Method Details

### getEncryptionAlgorithmName

@Deprecated String getEncryptionAlgorithmName()
Deprecated.

### setEncryptionAlgorithmName

@Deprecated void setEncryptionAlgorithmName(String encryptionAlgorithmName)
Deprecated.

### getEncryptionSaltBytes

@Deprecated byte[] getEncryptionSaltBytes()
Deprecated.

### setEncryptionSaltBytes

@Deprecated void setEncryptionSaltBytes(byte[] encryptionSaltBytes)
Deprecated.

### getEncryptionIterationCount

@Deprecated int getEncryptionIterationCount()
Deprecated.

### setEncryptionIterationCount

@Deprecated void setEncryptionIterationCount(int encryptionIterationCount)
Deprecated.

### getCredentialsProvider

@Deprecated org.eclipse.net4j.util.security.IPasswordCredentialsProvider getCredentialsProvider()
Deprecated.

### setCredentialsProvider

@Deprecated void setCredentialsProvider(org.eclipse.net4j.util.security.IPasswordCredentialsProvider credentialsProvider)
Deprecated.

### authenticate

@Deprecated CDOAuthenticationResult authenticate(byte[] randomToken)
Deprecated.

Since:
  4.0